<?php
defined( 'MVC_FRAMEWORK') or die;

/**
 * The class name is the CamelCased filename
 */

class AdminTitlemodifierController extends MyController
{
	/**
	 * Autoloads Models in the array
	 * @var array
	 */
	var $uses = array('Criteria');

	/**
	 * Autoloads view helpers in the array
	 * @var array
	 */
	var $helpers = array('admin/admin_settings');

	/**
	 * Autoloads controller components in the array
	 * @var array
	 */
	var $components = array('config');

	function beforeFilter()
	{
		parent::beforeFilter();
	}

   function index()
   {
      // We use an existing method in the Criteria model to get the Listing Types

      $listingTypes = $this->Criteria->getSelectList();

      // Send the $listingTypes variable to the View

      $this->set('listingTypes',$listingTypes);

      // Render the View

      return $this->render('titlemodifier','index');
   }

	function _save()
	{
		$this->Config->store($this->data['Config']);
	}
}